.table-fields-access-control-container {
    display: flex;
    align-items: flex-start;
    gap: 1rem;
    align-self: stretch;
}


.table-fields-access-control-container .summary {
    display: flex;
    min-width: 22.5rem;
    height: 20rem;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
}

.table-fields-access-control-container .summary .heading {
    color: #000;
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: 1.5rem;
    /* 150% */
}

.table-fields-access-control-container .summary .content {
    display: flex;
    padding: 0.75rem 1.5rem;
    flex-direction: column;
    gap: 0.75rem;
    align-self: stretch;
    border-radius: 8px;
    background: #FFF;
    /* Shadow/Card */
    box-shadow: 0px 0px 1px 0px rgba(2, 3, 3, 0.25), 0px 2px 1px 0px rgba(2, 3, 3, 0.05), 0px 0px 0px 1px #F0F4F4 inset;
}

.table-fields-access-control-container .summary .content .divider {
    background: #DEE4E4;
    width: 100%;
    height: 1px;
}

.table-fields-access-control-container .tables-fields-list-container {
    display: flex;
    width: 100%;
    height: calc(100vh - 10.5rem);
    align-self: stretch;
    border-radius: 6px;
    background: #FFF;
    /* Shadow/Card */
    box-shadow: 0px 0px 1px 0px rgba(2, 3, 3, 0.25), 0px 2px 1px 0px rgba(2, 3, 3, 0.05), 0px 0px 0px 1px #F0F4F4 inset;
}

.table-fields-access-control-container .tables-fields-list-container .tables-list-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    align-self: stretch;
    height: 100%;
    min-width: 271px;
}

.table-fields-access-control-container .tables-fields-list-container .tables-list-container .tables-list {
    width: 271px;
    height: 100%;
    border-right: 1px solid var(--grey-400, #DEE4E4);
    background: var(--grey-100, #FBFBFB);
}

.table-fields-access-control-container .tables-fields-list-container .fields-list-container {
    width: 100%;
    height: 100%;
    min-width: 420px;
    padding: 2px;
}

.table-fields-access-control-container .tables-list-container>.header {
    display: flex;
    width: 271px;
    /* padding: 18px 16px; */
    flex-direction: column;
    border-right: 1px solid var(--grey-400, #DEE4E4);
    border-bottom: 1px solid var(--grey-400, #DEE4E4);
}

.table-fields-access-control-container .tables-list-container>.header>.title {
    color: var(--grey-900, #020303);
    font-size: 1rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1.5rem;
    /* 150% */
}

.table-fields-access-control-container .tables-list-container>.header>.subtitle {
    color: var(--grey-700, #5A6161);
    font-size: 0.75rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.125rem;
    /* 150% */
}

.table-fields-access-control-container .tables-list tr.dx-row.dx-data-row,
.table-fields-access-control-container .tables-list .dx-datagrid-rowsview .dx-selection.dx-row:not(.dx-row-focused):not(.dx-row-lines)>td {
    border-bottom: 0;
    border-top: 0;
}


.tables-list-container .dx-checkbox-indeterminate .dx-checkbox-icon,
.tables-list-container .dx-checkbox-checked .dx-checkbox-icon {
    background-color: var(--sds-primary-500);
}

.tables-list-container .dx-checkbox-indeterminate .dx-checkbox-icon::before {
    background-color: var(--sds-grey-000);
}

.tables-list-container .dx-checkbox-checked .dx-checkbox-icon {
    color: var(--sds-grey-000);
}

.tables-list-container .dx-checkbox-icon {
    border-radius: 4px;
    border: 1px solid var(--sds-grey, #B6BFBF)
}

.tables-list-container .dx-checkbox-indeterminate .dx-checkbox-icon::before {
    background-color: var(--sds-grey-000);
    width: 6px;
    height: 6px;
    margin-top: -3px;
    margin-left: -3px;
}


.tables-list-container .content .tables-list {
    position: relative;
    overflow: hidden;
}

.tables-list-container .content *:not(span) {
    background: transparent;
}

.tables-list-container .sds-datatable .datatable-search-container.full {
    width: 100% !important;
}


.tables-list-container .tables-list .activeItem {
    background: var(--Primary-100, #E5F1F2) !important;
}

.tables-list-container .tables-list .activeItem .sds-infocard-cell-identity-title {
    color: var(--Primary-500, #0B9294) !important;
    font-weight: 500
}

.tables-list-container .sds-datatable .dx-datagrid-pager.dx-pager {
    display: none;
}

.tables-list-container .sds-datatable .dx-gridbase-container>.dx-datagrid-rowsview.dx-scrollable {
    display: flex;
    padding-bottom: 1.4rem;
}


.tables-list-container .sds-datatable .sds-datatable-container {
    border-radius: 0;
    box-shadow: none !important;
    border: 0 !important;
}

.tables-fields-list-container .sds-datatable-container .sds-datatable .sds-tbl-text-wrap {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    white-space: normal;
}

.table-fields-access-control-container .tables-fields-list-container .tables-list-container,
.table-fields-access-control-container .tables-list-container>.header,
.table-fields-access-control-container .tables-fields-list-container .tables-list-container .tables-list {
    width: 21.875rem;
    min-width: 21.875rem;    
}

.table-fields-access-control-container .tables-list-container .dx-datagrid-content .dx-datagrid-table .dx-row .dx-command-select {
    width: 3.125rem;
    min-width: 3.125rem;
    max-width: 3.125rem;
}

.table-fields-access-control-container .sds-datatable tr.dx-row.dx-data-row td {
    padding-left: 0.5rem;
}

#do-properties-fields-content .table-fields-access-control-container .tables-list .sds-datatable .dx-datagrid-header-panel .dx-toolbar,
#do-properties-fields-content .table-fields-access-control-container .fields-list-container .sds-datatable .dx-datagrid-header-panel .dx-toolbar-items-container {
    display: flex;
    align-items: center;
    min-height: 3.5rem;
}

#do-properties-fields-content .table-fields-access-control-container .tables-list .dx-datagrid-header-panel .dx-toolbar-after .dx-toolbar-item {
    padding: 0;
    -webkit-padding-start: 0;
    padding-inline-start: 0;    
}

#do-properties-fields-content .table-fields-access-control-container .tables-list .dx-datagrid-header-panel .dx-toolbar-before .dx-toolbar-item {
    padding: 0;
    -webkit-padding-end: 0;
    padding-inline-end: 0;
}

@media (min-width: 1400px) {

    .layout-datasources~.do-user-props-container .table-fields-access-control-container .tables-fields-list-container .tables-list-container .content {
        flex-grow: 1;
    }
}

@media only screen and (max-width: 1399px) {

    #do-properties-fields-content .table-fields-access-control-container {
        flex-wrap: wrap;
    }

    .table-fields-access-control-container .tables-fields-list-container {
        gap: 1rem;
    }

    .table-fields-access-control-container .tables-list-container>.header,
    .table-fields-access-control-container .tables-fields-list-container .tables-list-container .tables-list {
        border-right: none;
        width: 100%;
    }

    /* }

@media only screen and (max-width: 767px) { */

    .table-fields-access-control-container .summary {
        height: auto;
        width: 100%;
    }

    #do-properties-fields-content .table-fields-access-control-container {
        flex-direction: column;
    }

    .table-fields-access-control-container .tables-fields-list-container .fields-list-container {
        min-width: auto;
    }

    .table-fields-access-control-container .tables-fields-list-container {
        height: calc(100vh - 20.5rem);
        flex-direction: column;
        background: transparent;
    }

    .table-fields-access-control-container .tables-list-container>.header {
        border: none;
        margin-bottom: 1rem;
        /* padding: 12px 16px; */
    }

    .table-fields-access-control-container .tables-fields-list-container .tables-list-container .tables-list {
        border: none;
        box-shadow: none;
        width: 100%;
    }

    .table-fields-access-control-container .tables-list-container .sds-datatable-container,
    .table-fields-access-control-container .tables-list-container .sds-datatable-container .sds-datatable {
        height: max(500px, 50vh);
        max-height: max(500px, 50vh);
        border: none;
        box-shadow: none;
    }

    .table-fields-access-control-container .tables-list-container .sds-datatable-container .dx-toolbar-before {
        padding: 0;
    }

     #do-properties-fields-content .table-fields-access-control-container .tables-fields-list-container .tables-list-container {
        width: 100%;
    }
}